; MEXBank Configuration file

; Configuration verbs:
;
;   BankData        filename    ; Location of bank data file
;                               ; If no path, Max system dir is used
;
; ACS acs    ; priv level this can apply to. ** Note : Privs must appear
;            ; from highest to lowest as Mexbank stops scanning once it loads
;            ; a privelage the user has access to ! (ie privok(acs)=TRUE )
;
;   MaxDepositKb    XXXX        ; Defines maximum deposit kb (daily)
;   MaxDepositTime  XXXX        ; Defines maximum deposit minutes (daily)
;   MaxWithdrawKb   XXXX        ; Defines maximum withdrawal kb (daily)
;   MaxWithdrawTime XXXX        ; Defines maximum withdrawal time (daily)
;   MinKb           XXXX        ; Minimum amount kb to keep
;   MinTime         XXXX        ; Minimum amount of time to keep
;   TransferOK      1 | 0       ; Can this user do transfers ?
;   Interest        XXXX        ; Interest rate * 10  (ie 1% = 10, 5% = 50)
; END        ; end of this priv level

BankData        MexBank.Dat
BankHelp        Misc\Mexbank
SysopACS	Sysop

ACS AsstSysop
  MaxDepositKb    10000
  MaxDepositTime  300
  MaxWithdrawKb   5000
  MaxWithdrawTime 120
  MinKb           0
  MinTime         0
  TransferOK      1
  Interest        50
END

ACS Extra
  MaxDepositKb    5000
  MaxDepositTime  100
  MaxWithdrawKb   2000
  MaxWithdrawTime 60
  MinKb           0
  MinTime         0
  TransferOK      1
  Interest        50
END

ACS Normal
  MaxDepositKb    30000
  MaxDepositTime  60
  MaxWithdrawKb   2000
  MaxWithdrawTime 60
  MinKb           0
  MinTime         0
  TransferOK      1
  Interest        30
END

ACS Limited
  MaxDepositKb    500
  MaxDepositTime  15
  MaxWithdrawKb   100
  MaxWithdrawTime 10
  MinKb           0
  MinTime         0
  TransferOK      1
  Interest        1
END

ACS Twit
  MaxDepositKb    0
  MaxDepositTime  0
  MaxWithdrawKb   0
  MaxWithdrawTime 0
  MinKb           0
  MinTime         0
  TransferOK      0
  Interest        0
END

; Format of MaxBank.Dat
;
; Each record is 128 bytes long, consisting of:
;
;   string[01..35]  User's name
;   string[36..44]  Date last used
;   string[45..53]  Kb Balance
;   string[54..62]  Time Balance
;   string[63..72]  Deposited today kb
;   string[73..80]  Deposited today time
;
